For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
    • File Metadata
    • Add Ons
      • POSTExecute AWS Rekognition
      • GETCheck AWS Rekognition execution status
      • POSTExecute AWS Rekognition Moderation
      • GETCheck AWS Rekognition Moderation execution status
      • POSTExecute ClamAV
      • GETCheck ClamAV execution status
      • POSTExecute Remove.bg
      • GETCheck Remove.bg execution status
    • Changelog
    • Versioning
  • URL API
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIAdd Ons

Execute Remove.bg

POST
https://api.uploadcare.com/addons/remove_bg/execute/
POST
/addons/remove_bg/execute/
$curl -X POST https://api.uploadcare.com/addons/remove_bg/execute/ \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "target": "21975c81-7f57-4c7a-aef9-acfe28779f78"
>}'
1{
2 "request_id": "8db3c8b4-2dea-4146-bcdb-63387e2b33c1"
3}
Execute [remove.bg](https://remove.bg/) background image removal Add-On for a given target.
Was this page helpful?
Previous

Check Remove.bg execution status

Next
Built with

Execute remove.bg background image removal Add-On for a given target.

Authentication

Authorizationstring

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.

Headers

AcceptstringRequired
Version header.

Request

This endpoint expects an object.
targetstringRequiredformat: "uuid"
Unique ID of the file to process
paramsobjectOptional

Optional object with Add-On specific parameters

Response

Add-On execution response.

request_idstringformat: "uuid"
Request ID.

Errors

400
Bad Request Error
401
Unauthorized Error
406
Not Acceptable Error
409
Conflict Error
429
Too Many Requests Error